﻿.gl_col_right {
    flex: 1;
    background: #FFFFFF;
    padding: 20px;
    position: relative;
    overflow: hidden;
    border-left: 2px solid #D6D6D6;
}
.gl_col_right::-webkit-scrollbar {
    display: none;                  /* Chrome, Safari */
}



.gl_changed {
    background-color: #FFEC5E;
    padding: 15px 20px;
    width: 100%;
    border-radius: 4px;
    margin-bottom: 20px;
    display: none;
    border: 0px solid red;
    color: black;
}

#map {
    border: 2px solid #D6D6D6;
    border-radius: 6px;
    min-height: 300px;
}

#mapPoint {
    border: 2px solid #D6D6D6;
    border-radius: 6px;
    position: absolute;
    left: 100%;
    height: 100%;
    height: 70vh;
    width: 100%;
    top: 0;
    z-index: 2;
}

#mapPoint.isloading::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    backdrop-filter: blur(5px);
    z-index: 1;
    z-index: 1;
}


.gl_results {
    display: flex;
    padding: 20px 0px 20px 10px;
    gap: 20px
}

.gl_results.gl_results_total {
    gap: 10px
}

.gl_results .gl_result_col {
    overflow: hidden
}

.gl_results .gl_result_col:nth-child(1),
.gl_results .gl_result_col:nth-child(2) {
    width: 40%
}

.gl_results .gl_result_col:nth-child(3) {
    width: 20%;
}

.gl_results.gl_results_total .gl_result_col:nth-child(1),
.gl_results.gl_results_total .gl_result_col:nth-child(2) {
    width: 50%
}

.gl_results.gl_results_total .gl_result_col:nth-child(3) {
    display: none !important;
}

.gl_results h2 {
    color: #4D4D4D;
    padding-bottom: 4px;
    margin-bottom: 15px;
    font-weight: 500;
    font-size: 1.5rem
}

.gl_results h3 {
    color: #4D4D4D;
    padding-bottom: 4px;
    margin-bottom: 15px;
    font-weight: 500;
    font-size: 1.2rem
}

.gl_results h4 {
    color: #4D4D4D;
    border-bottom: 1px solid #D6D6D6;
    padding-bottom: 4px;
    margin-bottom: 20px;
    font-weight: 400;
}

.gl_results h5,
.gl_results h6 {
    color: #4D4D4D;
    padding-bottom: 4px;
    margin-bottom: 15px;
    font-weight: 500;
    font-size: 1.1rem
}

.gl_results label {
    color: #808080;
    font-size: 0.8rem;
    margin-bottom: 0px;
}

.gl_results h5#gl_act_1,
.gl_results h5#gl_act_2,
.gl_results h5.gl_act_1,
.gl_results h5.gl_act_2 {
    position: relative;
    margin-left: 30px;
}


.gl_results h5#gl_act_1:before,
.gl_results h5#gl_act_2:before,
.gl_results h5.gl_act_1:before,
.gl_results h5.gl_act_2:before {
    content: '';
    display: inline-block;
    position: absolute;
    left: -20px;
    top: 5px;
    width: 2px;
    height: 100%;
    background-color: #4D4D4D;
}

.gl_results h5#gl_act_2:before,
.gl_results h5.gl_act_2:before {
    top: auto;
    bottom: calc(100% - 15px)
}

.gl_results h5#gl_act_1:after,
.gl_results h5#gl_act_2:after,
.gl_results h5.gl_act_1:after,
.gl_results h5.gl_act_2:after {
    content: '';
    display: inline-block;
    position: absolute;
    left: -30px;
    top: 5px;
    width: 20px;
    height: 20px;
    background-image: url('https://greenlight.emisia.com/wp-content/themes/shoptimizer-child-theme/img/point@2x.png');
    background-size: cover;
    border-radius: 2px;
}

.gl_results .gl_result_col a#gl_down_api,
.gl_results .gl_result_col a#gl_down_pdf {
    position: relative;
    margin-left: 30px;
    min-width: 51%;
    display: inline-block;
    margin-bottom: 15px;
    font-size: 0.8rem;
}

.gl_results .gl_result_col a#gl_down_api:before,
.gl_results .gl_result_col a#gl_down_pdf:before {
    content: '';
    display: inline-block;
    position: absolute;
    left: -30px;
    top: 0px;
    width: 20px;
    height: 20px;
    background-image: url('https://greenlight.emisia.com/wp-content/themes/shoptimizer-child-theme/img/download@2x.png');
    background-size: 100%;
    background-repeat: no-repeat;
    border-radius: 2px;
}

/*gl_results_emissions*/
.gl_results.gl_results_emissions {
    display: block;
    margin-bottom: 100px
}

.gl_results #gl_emis_bar,
.gl_results .gl_emis_bar {
    background-color: #D6D6D6;
    height: 50px;
    margin-bottom: 10px;
    border-radius: 4px;
    position: relative;
    overflow: hidden;
    background-image: none !important
}

.gl_results #gl_emis_bar2,
.gl_results .gl_emis_bar2 {
    position: absolute;
    background-color: #4D4D4D;
    height: 50px;
    left: 0px;
    top: 0px;
    width: 40%
}

.gl_results.gl_results_emissions .gl_result_col,
.gl_results .gl_byelem_emissions .gl_byelem_emis_col {
    width: 50%;
    display: inline-block;
    float: left;
}

.gl_results.gl_results_emissions > *:nth-child(4),
.gl_results .gl_byelem_emissions > *:nth-child(4) {
    text-align: right
}

.gl_results.gl_results_emissions .gl_result_col h5,
.gl_results .gl_byelem_emissions .gl_byelem_emis_col h5,
.gl_results.gl_results_emissions .gl_result_col h6,
.gl_results .gl_byelem_emissions .gl_byelem_emis_col h6 {
    margin-bottom: 0px;
    line-height: 1.1rem;
    position: relative;
}

.gl_results.gl_results_emissions .gl_result_col h6#gl_emis_wtt_l,
.gl_results.gl_results_emissions .gl_result_col h6#gl_emis_ttw_l,
.gl_results .gl_byelem_emissions .gl_byelem_emis_col h6.gl_emis_wtt_l,
.gl_results .gl_byelem_emissions .gl_byelem_emis_col h6.gl_emis_ttw_l {
    margin-left: 40px;
}

.gl_results.gl_results_emissions .gl_result_col h6#gl_emis_wtt_l:before,
.gl_results.gl_results_emissions .gl_result_col h6#gl_emis_ttw_l:before,
.gl_results .gl_byelem_emissions .gl_byelem_emis_col h6.gl_emis_wtt_l:before,
.gl_results .gl_byelem_emissions .gl_byelem_emis_col h6.gl_emis_ttw_l:before {
    content: '';
    display: inline-block;
    position: absolute;
    left: -40px;
    top: 0px;
    width: 30px;
    height: 15px;
    background-color: #4D4D4D;
    border-radius: 4px;
    background-image: none !important;
}

.gl_results.gl_results_emissions .gl_result_col h5#gl_emis_ttw_l:before,
.gl_results .gl_byelem_emissions .gl_byelem_emis_col h5.gl_emis_ttw_l:before,
.gl_results.gl_results_emissions .gl_result_col h6#gl_emis_ttw_l:before,
.gl_results .gl_byelem_emissions .gl_byelem_emis_col h6.gl_emis_ttw_l:before {
    background-color: #D6D6D6;
}


/*gl_results_emissions*/
.gl_results.gl_results_bymode {
    display: block;
}

.gl_results.gl_results_bymode .gl_matrix {
    display: none;
}

.gl_results.gl_results_bymode .gl_bymode {
    position: relative;
    width: calc(100% - 80px);
}

.gl_results.gl_results_bymode .gl_bymode .gl_bymode_bar {
    background-color: #D6D6D6;
    height: 50px;
    margin-bottom: 10px;
    margin-top: 10px;
    border-radius: 4px;
    position: relative;
    margin-left: 60px;
    position: relative;
    background-image: none !important
}

.gl_results.gl_results_bymode .gl_bymode .gl_bymode_bar:before {
    content: '';
    position: absolute;
    left: -60px;
    width: 50px;
    height: 50px;
    background-color: #4D4D4D;
    border-radius: 50%;
    background-size: 30px;
    background-position: center center;
    background-repeat: no-repeat;
}


.gl_results.gl_results_bymode .gl_bymode .gl_bymode_bar_out {
    background-color: transparent;
    border-radius: 4px;
    position: absolute;
    background-image: none !important;
    width: 100%;
    border: 1px solid lightgray;
    left: 59px;
    top: 0;
    height: 50px;
}

.gl_results .gl_byelem[data-mode="Road"] .gl_byelem_emissions .gl_byelem_emis_col h5.gl_emis_ttw_l:before,
.gl_results.gl_results_bymode .gl_bymode[data-mode="Road"] .gl_bymode_bar,
.gl_results.gl_results_bymode .gl_bymode[data-mode="Road"] .gl_bymode_bar:before {
    background-image: url('https://greenlight.emisia.com/wp-content/themes/shoptimizer-child-theme/img/mode_road2@2x.png');
    background-color: #8CED82;
}

.gl_results .gl_byelem[data-mode="Rail"] .gl_byelem_emissions .gl_byelem_emis_col h5.gl_emis_ttw_l:before,
.gl_results.gl_results_bymode .gl_bymode[data-mode="Rail"] .gl_bymode_bar,
.gl_results.gl_results_bymode .gl_bymode[data-mode="Rail"] .gl_bymode_bar:before {
    background-image: url('https://greenlight.emisia.com/wp-content/themes/shoptimizer-child-theme/img/mode_train2@2x.png');
    background-color: #ECA9FF;
}

.gl_results .gl_byelem[data-mode="Air"] .gl_byelem_emissions .gl_byelem_emis_col h5.gl_emis_ttw_l:before,
.gl_results.gl_results_bymode .gl_bymode[data-mode="Air"] .gl_bymode_bar,
.gl_results.gl_results_bymode .gl_bymode[data-mode="Air"] .gl_bymode_bar:before {
    background-image: url('https://greenlight.emisia.com/wp-content/themes/shoptimizer-child-theme/img/mode_air2@2x.png');
    background-color: #00DFFF;
}

.gl_results .gl_byelem[data-mode="Sea"] .gl_byelem_emissions .gl_byelem_emis_col h5.gl_emis_ttw_l:before,
.gl_results.gl_results_bymode .gl_bymode[data-mode="Sea"] .gl_bymode_bar,
.gl_results.gl_results_bymode .gl_bymode[data-mode="Sea"] .gl_bymode_bar:before {
    background-image: url('https://greenlight.emisia.com/wp-content/themes/shoptimizer-child-theme/img/mode_sea2@2x.png');
    background-color: #00A4FF;
}

.gl_results .gl_byelem[data-mode="Hub"] .gl_byelem_emissions .gl_byelem_emis_col h5.gl_emis_ttw_l:before,
.gl_results.gl_results_bymode .gl_bymode[data-mode="Hub"] .gl_bymode_bar,
.gl_results.gl_results_bymode .gl_bymode[data-mode="Hub"] .gl_bymode_bar:before {
    background-image: url('https://greenlight.emisia.com/wp-content/themes/shoptimizer-child-theme/img/mode_hubs2@2x.png');
    background-color: #FCCF4E;
}

.gl_results.gl_results_bymode .gl_bymode > *:nth-child(3) {
    margin-left: 65px;
}

.gl_results.gl_results_bymode .gl_bymode .gl_bymode_col {
    display: inline-block;
    margin-right: 30px;
    min-width: 120px
}

.gl_results.gl_results_bymode .gl_bymode[data-mode="Road"] {
    position: relative;
}

.gl_results.gl_results_bymode .gl_bymode[data-mode="Road"] *:nth-child(6) {
    width: 200px;
    background-image: url('https://greenlight.emisia.com/wp-content/themes/shoptimizer-child-theme/img/oprimised@2x.png');
    height: 45px;
    background-size: contain;
    background-position: center center;
    background-repeat: no-repeat;
    position: absolute;
    bottom: 20px;
    cursor: pointer;
}

/*gl_results_byelem*/
.gl_results.gl_results_byelem {
    display: block;
}

.gl_results.gl_results_byelem .gl_matrix {
    display: none;
}

.gl_results.gl_results_byelem .gl_byelem_emissions {
    height: 1%;
    overflow: hidden;
    padding-bottom: 20px;
}

.gl_results.gl_results_byelem .gl_byelem {
    border: 2px solid #D6D6D6;
    padding: 10px 20px;
    border-radius: 6px;
    position: relative;
    margin-bottom: 15px
}

.gl_results.gl_results_byelem .gl_byelem.gl_dynamic {
    border: 2px dashed #D6D6D6;
}


.gl_results.gl_results_byelem .gl_byelem[data-mode="Road"] {
    background-color: rgba(223, 254, 211, 0.3);
}

.gl_results.gl_results_byelem .gl_byelem[data-mode="Rail"] {
    background-color: rgba(250, 238, 255, 0.3);
}

.gl_results.gl_results_byelem .gl_byelem[data-mode="Air"] {
    background-color: rgba(179, 246, 255, 0.3);
}

.gl_results.gl_results_byelem .gl_byelem[data-mode="Sea"] {
    background-color: rgba(179, 228, 255, 0.3);
}

.gl_results.gl_results_byelem .gl_byelem[data-mode="Hub"] {
    background-color: rgba(255, 246, 221, 0.3);
}

.gl_results.gl_results_byelem .gl_byelem .beefup__head {
    padding-right: 0px !important;
}

.gl_results.gl_results_byelem .gl_byelem .beefup__head button {
    padding: 0px 0px 0px 0px !important;
    width: 100%;
    display: block;
}

.gl_results.gl_results_byelem .gl_byelem .beefup__head button h5 {
    margin-bottom: 0px
}

.gl_results.gl_results_byelem .gl_byelem .beefup__head button > .gl_byelem_col:nth-child(1),
.gl_results.gl_results_byelem .gl_byelem .beefup__head button > .gl_byelem_col:nth-child(2),
.gl_results.gl_results_byelem .gl_byelem .beefup__head button > .gl_byelem_col:nth-child(3) {
    display: inline-block;
    width: 48%
}

.gl_results.gl_results_byelem .gl_byelem .beefup__head button > .gl_byelem_col:nth-child(1) {
    position: relative;
    padding-left: 60px;
    text-align: left;
}

.gl_results.gl_results_byelem .gl_byelem .beefup__head button > .gl_byelem_col:nth-child(1):before {
    content: '';
    position: absolute;
    left: -0px;
    top: 5px;
    width: 40px;
    height: 40px;
    background-color: #4D4D4D;
    border-radius: 50%;
    background-size: 25px;
    background-position: center center;
    background-repeat: no-repeat;
}

.gl_results.gl_results_byelem .gl_byelem[data-mode="Road"] .beefup__head button .gl_byelem_col:nth-child(1):before {
    background-image: url('https://greenlight.emisia.com/wp-content/themes/shoptimizer-child-theme/img/mode_road2@2x.png');
    background-color: #8CED82;
}

.gl_results.gl_results_byelem .gl_byelem[data-mode="Rail"] .beefup__head button .gl_byelem_col:nth-child(1):before {
    background-image: url('https://greenlight.emisia.com/wp-content/themes/shoptimizer-child-theme/img/mode_train2@2x.png');
    background-color: #ECA9FF;
}

.gl_results.gl_results_byelem .gl_byelem[data-mode="Air"] .beefup__head button .gl_byelem_col:nth-child(1):before {
    background-image: url('https://greenlight.emisia.com/wp-content/themes/shoptimizer-child-theme/img/mode_air2@2x.png');
    background-color: #00DFFF;
}

.gl_results.gl_results_byelem .gl_byelem[data-mode="Sea"] .beefup__head .gl_byelem_col:nth-child(1):before {
    background-image: url('https://greenlight.emisia.com/wp-content/themes/shoptimizer-child-theme/img/mode_sea2@2x.png');
    background-color: #00A4FF;
}

.gl_results.gl_results_byelem .gl_byelem[data-mode="Hub"] .beefup__head button .gl_byelem_col:nth-child(1):before {
    background-image: url('https://greenlight.emisia.com/wp-content/themes/shoptimizer-child-theme/img/mode_hubs2@2x.png');
    background-color: #FCCF4E;
}

.gl_results.gl_results_byelem .gl_byelem .beefup__head button > .gl_byelem_col:nth-child(2) {
    border: 0px solid red;
    height: 40px;
    background-size: contain;
    background-position: center center;
    background-repeat: no-repeat;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    width: 200px;
    top: 10px
}

.gl_results.gl_results_byelem .gl_byelem[data-mode="Road"] .beefup__head button > .gl_byelem_col:nth-child(2) {
    background-image: url('https://greenlight.emisia.com/wp-content/themes/shoptimizer-child-theme/img/oprimised@2x.png');
}

.gl_results.gl_results_byelem .gl_byelem .beefup__head button > .gl_byelem_col:nth-child(3) {
    text-align: right;
}

.gl_results.gl_results_byelem .gl_byelem .beefup__body > *:nth-child(1) {
    border: 2px solid #D6D6D6;
    border-radius: 6px;
    min-height: 300px;
    margin-top: 20px
}

.gl_results.gl_results_byelem .gl_byelem .beefup__body > *:nth-child(2),
.gl_results.gl_results_byelem .gl_byelem .beefup__body > *:nth-child(3) {
    width: 48%;
    display: inline-block;
    vertical-align: top;
    margin: 0;
    margin-top: 30px;
    padding-bottom: 30px
}

.gl_results.gl_results_byelem .gl_byelem[data-mode="Hub"] .beefup__body > *:nth-child(2) {
    width: 100%
}

.gl_results.gl_results_byelem .gl_byelem[data-mode="Hub"] .beefup__body > *:nth-child(3) {
    display: none;
}

.gl_results.gl_results_byelem .gl_byelem .beefup__body > *:nth-child(2) {
    margin-right: 2%
}

.gl_results.gl_results_byelem .gl_byelem h5.gl_act_1 {
    padding-bottom: 30px
}


@media (max-width: 991px) {
    .gl_cols {
        display: block;
    }

    a#gl_a_fullscreen {
        right: 15px;
        left: auto;
    }

    .gl_greenlight_con {
        position: relative;
        width: 100%;
        margin: 30px auto 15px auto;
        right: auto !important;
        top: auto;
        text-align: center;
    }

    .gl_greenlight_con * {
        white-space: nowrap;
    }

    .gl_col_left {
        margin: 20px auto 0 auto;
    }

    .gl_results {
        display: block;
    }

    .gl_results.gl_results_byelem .gl_byelem .beefup__body > *:nth-child(2),
    .gl_results.gl_results_byelem .gl_byelem .beefup__body > *:nth-child(3),
    .gl_results > .gl_result_col {
        width: 100% !important;
        margin-top: 10px;
        padding-bottom: 10px;
    }

    .gl_results.gl_results_bymode .gl_bymode .gl_bymode_col {
        margin: 0px 20px 0px 0px !important;
    }

    .gl_results h5, .gl_results h6 {
        font-size: 0.9rem;
    }

    .gl_results.gl_results_byelem .gl_byelem .beefup__head button > .gl_byelem_col:nth-child(2) {
        top: 0px;
        right: 0px;
        left: auto;
        transform: none;
        width: 143px;
    }

    .gl_error5555 {
        display: block;
        width: 90%;
        min-width: 90%;
    }
}